/*
 * Copyright (c) 2006-2011 Christian Plattner. All rights reserved.
 * Please refer to the LICENSE.txt for licensing details.
 */
package ch.ethz.ssh2.transport;

import ch.ethz.ssh2.DHGexParameters;
import ch.ethz.ssh2.crypto.dh.GenericDhExchange;
import ch.ethz.ssh2.crypto.dh.DhGroupExchange;
import java.math.BigInteger;
import ch.ethz.ssh2.packets.PacketKexInit;
import java.security.KeyPair;
import java.security.PrivateKey;
import java.security.interfaces.DSAPrivateKey;
import java.security.interfaces.RSAPrivateKey;
import java.security.interfaces.ECPrivateKey;

/**
 * KexState.
 *
 * @author Christian Plattner
 * @version 2.50, 03/15/10
 */
public class KexState {
    public PacketKexInit localKEX;
    public PacketKexInit remoteKEX;
    public NegotiatedParameters np;
    public int state = 0;

    public BigInteger K;
    public byte[] H;

    public byte[] remote_hostkey;

    public String hashAlgo;
    public GenericDhExchange dhx;
    public DhGroupExchange dhgx;
    public DHGexParameters dhgexParameters;

    public KeyPair local_dsa_key;
    public KeyPair local_rsa_key;
    public KeyPair local_ec_key;
}
